# Installation
> `npm install --save @types/react-frame-component`

# Summary
This package contains type definitions for react-frame-component (https://github.com/ryanseddon/react-frame-component).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-frame-component.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-frame-component/index.d.ts)
````ts
import * as React from "react";

export interface FrameComponentProps extends React.IframeHTMLAttributes<HTMLIFrameElement> {
    head?: React.ReactNode | undefined;
    mountTarget?: string | undefined;
    initialContent?: string | undefined;
    contentDidMount?: (() => void) | undefined;
    contentDidUpdate?: (() => void) | undefined;
    children: React.ReactNode;
}

export default class FrameComponent extends React.Component<FrameComponentProps> {}

export interface FrameContextProps {
    document?: HTMLDocument;
    window?: Window;
}

export const FrameContext: React.Context<FrameContextProps>;

export const FrameContextProvider: React.Provider<FrameContextProps>;

export const FrameContextConsumer: React.Consumer<FrameContextProps>;

export function useFrame(): FrameContextProps;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)

# Credits
These definitions were written by [Alex Bukurov](https://github.com/abukurov).
